using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IEmployeePositionService
    {

        [OperationContract]
        Task<IEnumerable<EmployeePositionDto>> GetEmployeePositionsAsync(FilterDto filterDto);
        [OperationContract]
        Task<EmployeePositionDto> GetEmployeePositionByIdAsync(int id);
        [OperationContract]
        Task CreateEmployeePositionAsync(EmployeePositionDto userDto);
        [OperationContract]
        Task UpdateEmployeePositionAsync(EmployeePositionDto userDto);
        [OperationContract]
        Task DeleteEmployeePositionAsync(int id);

    }

}
